using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;
using NewRock.Sdk.Control.Response;

namespace NewRock.Sdk.Control.Request
{
    [XmlRoot("Control")]
    public class QueryVisitorRequest:INewRockRequest<QueryVisitorResponse>
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("visitor")]
        public QueryVisitorVisitor Visitor { get; set; }
    }

    public class QueryVisitorVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
